libghc-lucid-svg-dev_0.7.0.0-6+b3_amd64.deb


Advertisement

Description

libghc-lucid-svg-dev - DSL for SVG using lucid for HTML

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libghc-lucid-svg-dev_0.7.0.0-6+b3_amd64.deb
Package name libghc-lucid-svg-dev
Package version 0.7.0.0
Package release 6+b3
Package architecture amd64
Package type deb
Category haskell
Homepage http://github.com/jeffreyrosenbluth/lucid-svg.git
License -
Maintainer Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Download size 137.82 KB
Installed size 1.50 MB

Alternatives

Package Version Architecture Repository
libghc-lucid-svg-dev_0.7.0.0-6+b3_i386.deb 0.7.0.0 i386 Debian Main
libghc-lucid-svg-dev - - -

Requires

Name Value
libatomic1 >= 4.8
libc6 >= 2.2.5
libghc-base-dev-4.12.0.0-a86a1 -
libghc-blaze-builder-dev-0.4.1.0-df870 -
libghc-lucid-dev-2.9.11-7b744 -
libghc-text-dev-1.2.3.1-538d8 -
libghc-transformers-dev-0.5.6.2-08fea -
libgmp10 -

Provides

Name Value
libghc-lucid-svg-dev-0.7.0.0-4b66e -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libghc-lucid-svg-dev_0.7.0.0-6+b3_amd64.deb
Source Package haskell-lucid-svg

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libghc-lucid-svg-dev deb package:
    # sudo apt-get install libghc-lucid-svg-dev

Files

Path
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/libHSlucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4-ghc8.6.5.so
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4/libHSlucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4.a
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4/Lucid/Svg.dyn_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4/Lucid/Svg.hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4/Lucid/Svg/Attributes.dyn_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4/Lucid/Svg/Attributes.hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4/Lucid/Svg/Elements.dyn_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4/Lucid/Svg/Elements.hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4/Lucid/Svg/Path.dyn_hi
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-8.6.5/lucid-svg-0.7.0.0-85diGagd3RIHJ9crnf8mS4/Lucid/Svg/Path.hi
/usr/share/doc/libghc-lucid-svg-dev/buildinfo_amd64.gz
/usr/share/doc/libghc-lucid-svg-dev/changelog.Debian.amd64.gz
/usr/share/doc/libghc-lucid-svg-dev/changelog.Debian.gz
/usr/share/doc/libghc-lucid-svg-dev/copyright
/usr/share/lintian/overrides/libghc-lucid-svg-dev
/var/lib/ghc/package.conf.d/lucid-svg-0.7.0.0.conf

Changelog

2018-10-01 - Ilias Tsitsimpis <iliastsi@debian.org>
haskell-lucid-svg (0.7.0.0-6) unstable; urgency=medium
* Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)
2018-09-30 - Ilias Tsitsimpis <iliastsi@debian.org>
haskell-lucid-svg (0.7.0.0-5) unstable; urgency=medium
[ Clint Adams ]
* Set Rules-Requires-Root to no.
[ Ilias Tsitsimpis ]
* Bump debhelper compat level to 10
2018-04-26 - Clint Adams <clint@debian.org>
haskell-lucid-svg (0.7.0.0-4) unstable; urgency=medium
* Patch to build with newer base.
2018-04-09 - Clint Adams <clint@debian.org>
haskell-lucid-svg (0.7.0.0-3) unstable; urgency=medium
[ Ilias Tsitsimpis ]
* Change Priority to optional. Since Debian Policy version 4.0.1,
priority extra has been deprecated.
* Use the HTTPS form of the copyright-format URL
* Modify d/watch and Source field in d/copyright to use HTTPS
* Declare compliance with Debian policy 4.1.1
* Use salsa.debian.org URLs in Vcs-{Browser,Git} fields
[ Clint Adams ]
* Bump to Standards-Version 4.1.4.
2016-10-27 - Clint Adams <clint@debian.org>
haskell-lucid-svg (0.7.0.0-2) unstable; urgency=medium
* Upload to unstable as part of GHC 8 transition.
2016-10-17 - Clint Adams <clint@debian.org>
haskell-lucid-svg (0.7.0.0-1) experimental; urgency=medium
[ Dmitry Bogatov ]
* Use secure (https) uri in Vcs-Git field in 'debian/control'
* Bump standards version to 3.9.8 (no changes needed)
[ Clint Adams ]
* New upstream version.
2016-01-10 - Clint Adams <clint@debian.org>
haskell-lucid-svg (0.6.0.1-1) unstable; urgency=medium
* New upstream release
2015-12-03 - Clint Adams <clint@debian.org>
haskell-lucid-svg (0.5.0.0-2) unstable; urgency=medium
* Switch Vcs-Git/Vcs-Browser headers to new location.
2015-08-20 - Joachim Breitner <nomeata@debian.org>
haskell-lucid-svg (0.5.0.0-1) experimental; urgency=low
* Initial release
* Depend on haskell-devscripts >= 0.10 to ensure that this package
builds against GHC in experimental

See Also

Package Description
libghc-lucid-svg-doc_0.7.0.0-6_all.deb DSL for SVG using lucid for HTML; documentation
libghc-lucid-svg-prof_0.7.0.0-6+b3_amd64.deb DSL for SVG using lucid for HTML; profiling libraries
libghc-lzma-dev_0.0.0.3-4_amd64.deb LZMA/XZ compression and decompression
libghc-lzma-doc_0.0.0.3-4_all.deb LZMA/XZ compression and decompression; documentation
libghc-lzma-prof_0.0.0.3-4_amd64.deb LZMA/XZ compression and decompression; profiling libraries
libghc-magic-dev_1.1-8+b3_amd64.deb File type determination library for Haskell
libghc-magic-doc_1.1-8_all.deb File type determination library for Haskell; documentation
libghc-magic-prof_1.1-8+b3_amd64.deb File type determination library for Haskell; profiling libraries
libghc-map-syntax-dev_0.3-5_amd64.deb syntax sugar for defining maps
libghc-map-syntax-doc_0.3-5_all.deb syntax sugar for defining maps; documentation
libghc-map-syntax-prof_0.3-5_amd64.deb syntax sugar for defining maps; profiling libraries
libghc-markdown-dev_0.1.17.4-1_amd64.deb convert Markdown to HTML, with XSS protection
libghc-markdown-doc_0.1.17.4-1_all.deb convert Markdown to HTML, with XSS protection; documentation
libghc-markdown-prof_0.1.17.4-1_amd64.deb convert Markdown to HTML, with XSS protection; profiling libraries
libghc-markdown-unlit-dev_0.5.0-1_amd64.deb Literate Haskell support for Markdown
Advertisement
Advertisement